/***************************************************************************
 *   Copyright (C) 2008 by Daniel Nicoletti                                *
 *   dantti85-pk@yahoo.com.br                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; see the file COPYING. If not, write to       *
 *   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,  *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#ifndef KPKINSTALLFILES_H
#define KPKINSTALLFILES_H

#include <KpkTransaction.h>
#include <KpkAbstractIsRunning.h>

#include <QPackageKit>

using namespace PackageKit;

class KpkSimulateModel;
class KpkInstallFiles : public KpkAbstractIsRunning
{
Q_OBJECT
public:
    explicit KpkInstallFiles(const KUrl::List &urls, QObject *parent = 0);
    ~KpkInstallFiles();

public slots:
    void start();

private slots:
    void installFilesFinished(KpkTransaction::ExitStatus status);
    void simulateFinished(PackageKit::Transaction::ExitStatus status, uint runtime);

private:
    void installFiles();
    QHash <KpkTransaction *, QStringList> m_transactionFiles;
    KUrl::List m_urls;
    QStringList files;

    KpkSimulateModel *m_installFilesModel;
};

#endif
